<!DOCTYPE html>
  <html lang="en">
  <head>
      <meta charset="UTF-8">
      <meta http-equiv="X-UA-Compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <title>Document</title>
  
      <!-- CSS-bootstrap -->
      <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
  
      <!-- CSS StyleSheet -->
      <link rel="stylesheet" href="static/styles.css">
  </head>
  
  <body class="container mt-5 bg-dark">
  <div id = "app">
    <div v-for = "pregunta in preguntas">
      <label class="form-control bg-dark text-light mt-5">{{ pregunta.pregunta }}</label>
        <div class="mb-5">
          <button id="start" class="btn btn-primary btn-lg" v-on:click="leerPregunta(pregunta)">&#128362</button>
        </div> 
        <div class="content-fluid">
          <div class="col-md-4 imagen-respuesta" v-for = "respuesta in pregunta.respuestas" :id="'pregunta_' + pregunta.id + '_respuestaCorrecta_' + respuesta.correcta">
            <div class="card"  v-on:click="validarRespuesta(respuesta, pregunta, $event)">
              <img class="card-img-top" :src="respuesta.url_imagen" alt="respuesta">
            </div>
          </div>
      </div>
    </div>
   
  </div>

  <br>
  <br>

  <a href="tabla-contenido.html" class="btn btn-outline-secondary">Volver a selección de categorías.</a>

<!-- Vue -->
<script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
<!-- Axios -->
<script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
<script>

let app = new Vue({ 
  el: '#app',
  data :{
    preguntas: []
  },
  methods: {
    validarRespuesta: function(respuesta, pregunta, event) {
      if (pregunta.contadorErrores === undefined) {
        pregunta.contadorErrores = 0;
      }
      if(respuesta.correcta){
        var audio = new Audio("respuesta_correcta.mp3");
        audio.play();
        this.leerTexto("¡Eres un genio!");
        pregunta.contadorErrores = 0;
      }else{
        var audio = new Audio("respuesta_INCORRECTA.mp3");
        audio.play();
        this.leerTexto("Intentalo de nuevo");
        pregunta.contadorErrores++;
      }
      console.log(pregunta.contadorErrores);
      if (pregunta.contadorErrores == 3) {
        document.querySelector('#pregunta_'+pregunta.id+'_respuestaCorrecta_true').classList.add("box","bounce-7");
        window.setTimeout(function(){
          document.querySelector('#pregunta_'+pregunta.id+'_respuestaCorrecta_true').classList.remove("box","bounce-7");
        }, 5000);
        this.leerTexto("¡Esta es la respuesta correcta!");
      }
    },
    leerPregunta: function(pregunta){
      this.leerTexto(pregunta.pregunta);
    },
    leerTexto: function(texto){
      let speech = new SpeechSynthesisUtterance();
      speech.lang = "es-AR";
      speech.text = texto;
      window.speechSynthesis.speak(speech);
    },
  },
  mounted () {
    const parametros = new URLSearchParams(window.location.search);
    const seccion_id = parametros.get("seccion_id");
    axios
    .get('https://bruno-juega-api-dev.herokuapp.com/secciones/' + seccion_id + "/preguntas?orden=random")
    .then(
      function(request){
        request.data.forEach(pregunta => {
          axios 
          .get('https://bruno-juega-api-dev.herokuapp.com/secciones/' + seccion_id + "/preguntas/"+ pregunta.id)
          .then( function (request) {
            console.log(request.data);
            app.preguntas.push(request.data);
          })
        });
      }
    );
  }
});
</script>
</body>
</html>
